Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
FileDatePatternConverter Class Reference

Formats an date by delegating to DatePatternConverter. More...

## Static Public Member Functions
static PatternConverterPtr | newInstance (const std::vector< LogString > &options)
| Obtains an instance of pattern converter. More...

## Detailed Description

Formats an date by delegating to DatePatternConverter.

The default date pattern for a d specifier in a file name is different than the d pattern in pattern layout.

## Member Function Documentation

static PatternConverterPtr newInstance | ( | const std::vector< LogString > & | options | ) |
| static

Obtains an instance of pattern converter.

Parameters

  options | options, may be null.

Returns
  instance of pattern converter.

The documentation for this class was generated from the following file:

- filedatepatternconverter.h